GET ProjectMember/default
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
GET /api/v1/ProjectMember/default
Set default values into a new ProjectMember.
NetServer calculates default values on the entity, which is required when creating/storing a new instance Calls the Project agent service CreateDefaultProjectMember. NsApiSlow threshold: 2000 ms.
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ProjectMember
| Property Name | Type | Description |
|---|---|---|
| ProjectmemberId | int32 | Primary key |
| ContactId | int32 | Contact ID of person who is the project member |
| ProjectId | int32 | Parent project - the project this project member belongs to. |
| ContactName | string | Contact name |
| ContactDepartment | string | Contact department |
| ProjectName | string | Name of the project this project member belongs to. |
| EmailId | int32 | The person's email address id |
| EmailAddress | string | The e-mail address |
| CountryId | int32 | Country |
| Firstname | string | First name |
| MiddleName | string | Middle name or 'van' etc. |
| Lastname | string | Last name |
| PersonId | int32 | The person's id - primary key |
| Mrmrs | string | e.g. Mrs, Dr, Ms. |
| ProjectMemberTypeName | string | The projectmembers type name: 'secretary', 'member', etc. |
| Phone | string | Phone number |
| PhoneId | int32 | The phone id |
| ProjectMemberTypeId | int32 | ProjectMember Type Id - from the ProjectMemberType list. Use MDO List name "PMembType" to get list items. |
| EmailAddressName | string | The e-mail address description |
| Comment | string | Comment text on the project membership |
| FullName | string | The person's full name localized to the current culture/country. (internal name used in clients for employees) |
| Registered | date-time | The date and time when the project member was registered in UTC. |
| Updated | date-time | The date and time when the project member was last updated in UTC. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
GET /api/v1/ProjectMember/default
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ProjectmemberId": 624,
"ContactId": 47,
"ProjectId": 113,
"ContactName": "Mitchell Inc and Sons",
"ContactDepartment": "",
"ProjectName": "Anderson LLC",
"EmailId": 757,
"EmailAddress": "lewis.nader@gleichner.uk",
"CountryId": 988,
"Firstname": "Kailey",
"MiddleName": "Doyle, Trantow and Lesch",
"Lastname": "Larson",
"PersonId": 648,
"Mrmrs": "placeat",
"ProjectMemberTypeName": "O'Hara LLC",
"Phone": "1-535-822-4626 x45328",
"PhoneId": 311,
"ProjectMemberTypeId": 248,
"EmailAddressName": "pierce@beer.us",
"Comment": "et",
"FullName": "Dr. Pearlie Geraldine Volkman PhD",
"Registered": "2011-10-14T14:34:02.7837311+02:00",
"Updated": "2010-08-04T14:34:02.7837311+02:00",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 486
}
}
}